### Property

# Adw Sidebar:menu-model

since: 1.9

#### Declaration

    property menu-model: Gio.MenuModel [ read, write ]

#### Description [src]

Context menu model for the items.

When a context menu is shown for an item, it will be constructed from the provided menu model. Use the `AdwSidebar::setup-menu` signal to set up the menu actions for the particular item.

`AdwSidebar:menu-model` will be preferred over this model if set.

Type:`GMenuModel`

Available since: 1.9

Getter method | `adw_sidebar_get_menu_model()`
Setter method | `adw_sidebar_set_menu_model()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no